58k+ listingsShips to NLResponse within one hour+31 73 711 4717info@questpair.com

Yamato RFC-501 Laboratory Refrigerator-Freezer Combination Unit

UsedYamato ScientificFreezersUnited States

From€18,459.46excl. VAT

In stock

Can't find what you're looking for?

Capacity
515L / 18.2 cu.ft.
Refrigerator capacity
9.1 cu.ft.
Freezer capacity
9.1 cu.ft.
Door
Two Solid, locking
Temperature range
(Refrigerator)2°C to 8°C /36°F to 46°F(Freezer)0°C to -25°C /+32°F to -13°F
All 25 specifications
  • Ships to NL
  • Response within 1 hour
  • Warranty available. Buy without worry
  • Support from a scientist

Specifications 25

Brands
Yamato Scientific
New/Used
Used
Capacity
515L / 18.2 cu.ft.
Refrigerator capacity
9.1 cu.ft.
Freezer capacity
9.1 cu.ft.
Door
Two Solid, locking
Temperature range
(Refrigerator)2°C to 8°C /36°F to 46°F(Freezer)0°C to -25°C /+32°F to -13°F
Temperature control
Two - Digital display
Temperature alarm
Hi/Low temperature alarm with audible and visual alarm, Alarm relay dry contacts, Min/Max Memory (for RFC1301 and RFC2001)
Shelves
2 Per Compartment /Epoxy Coated
Legs
Four locking
Insulation
Polyurethane
Compressor
1/4 hp (R), 1/3 hp (F)
Evaporator
Fin and tube
Refrigerator defrost
Automatic
Freezer defrost
Automatic
Interior / Exterior finish
White coated steel
Interior dimension of Refrigerator (WxDxH)
28 x 28 x 20”
Interior dimension of Freezer (WxDxH)
28 x 28 x 20”
External dimensions (WxDxH)
27.5” x 34” x 81.5”70 x 86 x 207 cm
Weight
550 lbs.
Voltage
115V, 60 Hz, 1 phase
Running amps
4.5 (R), 7.5 (F)
Supply plug
5-15P NEMA (1 plug per chamber) UL listed
Optional accessories
Chart recorder, Leg seismic restraints, Wall seismic restraints

Product description

515L lab refrigerator-freezer combo with dual digital controls, alarms, auto defrost, and locking doors.

Yamato RFC-501 Laboratory Refrigerator/Freezer Combination

  • Capacity: 515 L (18.2 cu.ft.), evenly split: Refrigerator 9.1 cu.ft., Freezer 9.1 cu.ft.
  • Temperature range: Refrigerator 2°C to 8°C (36°F to 46°F), Freezer 0°C to -25°C (+32°F to -13°F)
  • Control and Display: Two independent digital temperature displays, High/Low audible and visual alarms with alarm relay dry contacts, Min/Max memory (on select models)
  • Structure: Two solid locking doors, four epoxy-coated adjustable shelves (2 per compartment), polyurethane insulation, white coated steel interior and exterior
  • Dimensions: Interior Refrigerator (WxDxH): 28" x 28" x 20"

Interior Freezer (WxDxH): 28" x 28" x 20" External (WxDxH): 27.5" x 34" x 81.5" (70 x 86 x 207 cm)

  • Defrost: Automatic for both refrigerator and freezer compartments
  • Compressor Power: Refrigerator: 1/4 hp, Freezer: 1/3 hp
  • Other Features: Locking casters and legs, CFC-free refrigerant and insulation, UL listed, optional chart recorder, optional seismic restraints for legs and walls
  • Electrical: 115 V, 60 Hz, single phase, running amps 4.5 (Refrigerator), 7.5 (Freezer), 5-15P NEMA plug per chamber
  • Primary Uses: Laboratory and pharmacy environments requiring secure, reliable sample storage at precise dual temperature ranges.

Why Questpair exists

Lab equipment markets are fragmented. Buyers spend weeks calling distributors, comparing quotes, and verifying supplier reliability. Sellers struggle to reach global research labs.

We built Questpair to fix this. Every supplier on the platform is verified before listing. Every quote you receive comes from a real, vetted seller. AI prepares your case in minutes, then a real specialist takes over.

We're an independent team based in The Netherlands, working with research labs and procurement teams across Europe and worldwide.

Frequently asked questions

How long does laboratory equipment typically last?

With a service contract, ten to fifteen years is normal for most benchtop instruments. Detectors and pumps are the parts that wear first.

Can I get service for older equipment?

Yes. Every verified supplier states which service partners cover the instrument, and we list that alongside the offer.

Where can I buy parts?

Ask a scientist through the request button. Parts are often available even when the instrument itself is discontinued.

What is the typical lead time for refurbished equipment?

Two to six weeks, depending on refurbishment scope and whether calibration is included.

Does laboratory equipment ship internationally?

We ship to 38 countries. Crating and customs handling are quoted with the instrument.

Reply in one hour

Can't find the exact configuration?

Tell us what you need and a scientist finds it for you, usually within the hour.

Last updated 19 October 2026